---------------------------------------------------------------------------------------------------
-- Libraries
---------------------------------------------------------------------------------------------------
library ieee;
    use ieee.std_logic_1164.all;

---------------------------------------------------------------------------------------------------
-- Entity
---------------------------------------------------------------------------------------------------
entity top is
    port (
        Clk     : in  std_logic;
        Rst     : in  std_logic;
        InData  : in  std_logic_vector(1 downto 0);
        OutData : out std_logic_vector(1 downto 0)
    );
end entity top;

---------------------------------------------------------------------------------------------------
-- Architecture
---------------------------------------------------------------------------------------------------
architecture rtl of top is
   
    component pll is
    port (
        rst      : in  std_logic := 'X';
        refclk   : in  std_logic := 'X';
        outclk_0 : out std_logic
    );
    end component pll;
   
   signal Clk_Data  : std_logic;
   signal Reg       : std_logic_vector(1 downto 0);
   
begin
    
    -- PLL
    i_pll : component pll
    port map (
        rst      => Rst,
        refclk   => Clk,
        outclk_0 => Clk_Data
    );

    process(Clk_Data)
    begin
        if rising_edge(Clk_Data) then
            Reg <= InData;
            OutData <= Reg;
        end if;
    end process;
    
end architecture rtl;
